#ifndef GETKEYCODE_H
#define GETKEYCODE_H

#include <qlineedit.h>

class QWidget;
class QKeyEvent;
class QFocusEvent;

class GetKeyCode: public QLineEdit
{
	Q_OBJECT
	
public:
	GetKeyCode(QWidget *parent, const char *name = 0);
	GetKeyCode(const QString &, QWidget *parent, const char *name = 0);

signals:
	void keyPressed(QKeyEvent*);

protected:
	void keyPressEvent(QKeyEvent*);
};

#endif // GETKEYCODE
